/***************************************************************************

 ***************************************************************************/

//<doc><file>	$Id$
//<version>	$Name$

#ifndef MYCLASS_H
#define MYCLASS_H


#include <iostream>
#include <fstream>
#include <iomanip>

#include "TObject.h"
#include "MyClass_C.h"

const unsigned int NMCPARTMAX = 100;

class MyClass : public TObject
{
 private:
  unsigned int nMCpart;  // Number of accepted particles
  float vertexMC[3];     // Vertex position
  int *codeGeant;        //[nMCpart] Geant particle code  
  float (*pMCpart)[5];   //[nMCpart] Particle 4-vector and mass
 public: 
  MyClass(){nMCpart = 0; codeGeant = new int[NMCPARTMAX]; pMCpart = new float[NMCPARTMAX][5];}
  ~MyClass() { delete [] codeGeant; delete [] pMCpart; };
  bool FillBecCom();

  ClassDef(MyClass,0) //MyClass class
};

#endif // MYCLASS_H
